AL175(8)

NAME
al175 - Driver for Eltek UPS models with AL175 alarm module

SYNOPSIS

al175 -h

al175 -a UPS_NAME [OPTIONS]

    Note

    This man page only documents the hardware-specific features of the al175 driver. For information about the core driver, see nutupsdrv(8).

SUPPORTED HARDWARE

The al175 driver is known to work with the following UPSes:

    • Eltek MPSU4000 with AL175 alarm module

It may also work with other UPSes equipped with AL175 alarm module, but they have not been tested.

AL175 have to be configured to operate in COMLI mode. See documentation supplied with your hardware on how to do it.

EXTRA ARGUMENTS

This driver does not support any extra settings in the ups.conf(5).

INSTANT COMMANDS

This driver supports some extra commands (see upscmd(8)):

test.battery.start
    Start a battery test.

test.battery.stop
    Stop a battery test.

VARIABLES

Besides status, this driver reads UPS state into following variables:

    • ups.test.result

    • output.voltage.nominal

    • output.current

    • battery.voltage.nominal

    • battery.current

    • battery.temperature

    • input.transfer.boost.low

KNOWN ISSUES AND BUGS

    • Shutdown is not supported. FIXME

    • The driver was reworked to meet the project code quality criteria, without testing on real hardware. Some bugs may have crept in.

AUTHOR

Kirill Smelkov <kirr@mns.spb.ru>

SEE ALSO

  The core driver:

nutupsdrv(8)

  Internet resources:

The NUT (Network UPS Tools) home page: https://www.networkupstools.org/historic/v2.8.3/